`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company:         M. A. Morris & Associates 
// Engineer:        Michael A. Morris
//
// Create Date:     19:08:26 06/19/2013
// Design Name:     CPLD1004
// Module Name:     C:/XProjects/ISE10.1i/1004CPLD/Src/tb_CPLD1004.v
// Project Name:    1004CPLD
// Target Device:   Xilinx Coolrunner II - XC2C32A-6VQ44 or XC2C64A-7VQ44  
// Tool versions:   Xilinx ISE 10.1i SP3
//
// Description: 
//
// Verilog Test Fixture created by ISE for module: CPLD1004
//
// Dependencies:
// 
// Revision:
//
//  0.01    13F20   MAM     File Created
//
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module tb_CPLD1004;

// Inputs
reg nPROG;
reg DONE;

// Outputs
tri1    [2:0] M;
tri1    [2:0] VS;
tri1    nPUDC;
wire    nWP_SIO2;
wire    nHold_SIO3;
wire    MISO;
wire    nCS;
wire    Rdy;
wire    nNMI;
wire    nIRQ;
wire    nSO;

// Instantiate the Unit Under Test (UUT)
CPLD1004    uut (
                .nPROG(nPROG), 
                .DONE(DONE), 
                .M(M), 
                .VS(VS), 
                .nPUDC(nPUDC), 
                .nWP_SIO2(nWP_SIO2), 
                .nHold_SIO3(nHold_SIO3), 
                .MISO(MISO), 
                .nCS(nCS), 
                .Rdy(Rdy), 
                .nNMI(nNMI), 
                .nIRQ(nIRQ), 
                .nSO(nSO)
            );

initial begin
    // Initialize Inputs
    nPROG = 0;
    DONE = 0;

    // Wait 100 ns for global reset to finish
    #101 nPROG = 1;
    
    // Add stimulus here
    
    #100 DONE  = 1;
    #100 nPROG = 0;
    #10  DONE  = 0;
    #100 nPROG = 1;
    #100 DONE  = 1;
end
      
endmodule

